<?PHP
$_OPTIMIZATION["title"] = "Пополнение баланса";
$usid = $_SESSION["user_id"];
$usname = $_SESSION["user"];

$db->Query("SELECT * FROM db_config WHERE id = '1' LIMIT 1");
$sonfig_site = $db->FetchArray();

/*
if($_SESSION["user_id"] != 1){
echo "<center><b><font color = red>Технические работы</font></b></center>";
return;
}
*/
?>

<div class="silver-bk" style="background:black; border: 5px solid red;">

<center><span style="font-family: Roboto;font-size:15px;color:white;"><h3>Ввод средств позволяет автоматически приобретать <font color="yellow">рублей</font> при помощи платежной системы <font color="yellow">PAYEER</font>.

<BR />


<p>Введите сумму в РУБЛЯХ, на которую вы хотите пополнить баланс. <BR />
После пополнения Вам будут зачислены монеты.<br /></p>


<?
/// db_payeer_insert
if(isset($_POST["sum"])){

$sum = round(floatval($_POST["sum"]),2);


# Заносим в БД
$db->Query("INSERT INTO db_payeer_insert (user_id, user, sum, date_add) VALUES ('".$_SESSION["user_id"]."','".$_SESSION["user"]."','$sum','".time()."')");

$desc = base64_encode($_SERVER["HTTP_HOST"]." - USER ".$_SESSION["user"]);
$m_shop = $config->shopID;
$m_orderid = $db->LastInsert();
$m_amount = number_format($sum, 2, ".", "");
$m_curr = "RUB";
$m_desc = $desc;
$m_key = $config->secretW;

$arHash = array(
 $m_shop,
 $m_orderid,
 $m_amount,
 $m_curr,
 $m_desc,
 $m_key
);
$sign = strtoupper(hash('sha256', implode(":", $arHash)));

?>
<center>
<form method="GET" action="//payeer.com/api/merchant/m.php">
	<input type="hidden" name="m_shop" value="<?=$config->shopID; ?>">
	<input type="hidden" name="m_orderid" value="<?=$m_orderid; ?>">
	<input type="hidden" name="m_amount" value="<?=number_format($sum, 2, ".", "")?>">
	<input type="hidden" name="m_curr" value="RUB">
	<input type="hidden" name="m_desc" value="<?=$desc; ?>">
	<input type="hidden" name="m_sign" value="<?=$sign; ?>">
	<input type="submit" name="m_process"  class="but3"/>
</form>
</center>
<div class="clr"></div>		
</div>
</div>
</div>

<?PHP

return;
}
?>

<div id="error3"></div>
<form method="POST" action="">
    <input type="hidden" name="m" value="<?=$fk_merchant_id?>">

<input type="text" value="100" name="sum" style="text-align: center;" size="7" id="psevdo" onchange="calculate(this.value)" onkeyup="calculate(this.value)" onfocusout="calculate(this.value)" onactivate="calculate(this.value)" ondeactivate="calculate(this.value)"> 
<br /><BR />
    Вы получите <span id="res_sum">10000</span> монеты
	<BR /><BR />
    <input type="submit" id="submit"  value="Пополнить" class="but3">
</form>
<script type="text/javascript">
calculate(100);
</script>
<center>

<BR />

</center>


<div class="clr"></div>		
</div>
</div>
</div>
